DCMTK: IODFoRModule Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Static Private Attributes | List of all members
IODFoRModule Class Reference

Class representing the Frame of Reference Module: More...

Inheritance diagram for IODFoRModule:

## Public Member Functions
| IODFoRModule (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules)
| Constructor.
| IODFoRModule ()
| Constructor.
virtual | ~IODFoRModule ()
| Destructor.
virtual void | resetRules ()
| Resets rules to their original values.
virtual OFString | getName () const
| Get name of module.
virtual OFCondition | getFrameOfReferenceUID (OFString &value, const signed long pos=0) const
| Get Frame of Reference UID.
virtual OFCondition | getPositionReferenceIndicator (OFString &value, const signed long pos=0) const
| Get Position Reference Indicator.
virtual OFCondition | setFrameOfReferenceUID (const OFString &value, const OFBool checkValue=OFTrue)
| Set Frame of Reference UID.
virtual OFCondition | setPositionReferenceIndicator (const OFString &value, const OFBool checkValue=OFTrue)
| Set Position Reference Indicator.
void | ensureFrameOfReferenceUID (const OFBool correctInvalid=OFFalse)
| Make sure that the module contains a Frame of Reference Instance UID, i.e.
Public Member Functions inherited from IODModule
| IODModule (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules)
| Constructor.
| IODModule ()
| Constructor.
| IODModule (const IODModule &rhs)
| Copy constructor, creates shallow copy.
IODModule & | operator= (const IODModule &rhs)
| Assignment operator, creates shallow copy.
| ~IODModule ()
| Destructor.
Public Member Functions inherited from IODComponent
| IODComponent (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules, IODComponent *parent=NULL)
| Constructor.
| IODComponent (IODComponent *parent=NULL)
| Constructor, creates rules and item from scratch.
IODComponent & | operator= (const IODComponent &rhs)
| Assignment operator, copies contained item and rule set from rhs to "this" attribute set.
| IODComponent (const IODComponent &rhs)
| Copy constructor, copies reference to contained item and rule set to "this" attribute set.
virtual | ~IODComponent ()
| Virtual Destructor.
void | clearData ()
| Clear all attributes from the data that are handled by this module.
virtual void | inventMissing ()
| Set missing values by inventing "default values".
OFshared_ptr< IODRules > | getRules ()
| Get rules handled by this module.
virtual void | makeOptional ()
| Make component optional by turning all attributes requirement types of it to type 3.
DcmItem & | getData ()
| Get the data handled by this module.
virtual OFCondition | read (DcmItem &source, const OFBool clearOldData=OFTrue)
| Read attributes from given item into this class.
virtual OFCondition | write (DcmItem &destination)
| Write attributes from this class into given item.
virtual OFCondition | check (const OFBool quiet=OFFalse)
| Check whether this component's data satisfies the underlying rules.
virtual int | compare (const IODComponent &rhs) const
| Comparison operator for IOD Components.
virtual bool | getValueCheckOnWrite () const
| Get whether attribute value errors will be handled as errors on writing.
virtual void | setValueCheckOnWrite (const OFBool checkValue)
| Set whether attribute values should be checked on writing, i.e.

## Static Private Attributes
static const OFString | m_ModuleName
| Module name "FrameOfReferenceModule".

## Additional Inherited Members
Static Public Member Functions inherited from IODComponent
static OFCondition | read (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName)
| Static helper function that reads attributes from given item into destination item, as determined by the provided rules and component name.
static OFCondition | write (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName, const OFBool checkValue)
| Static helper function that writes attributes from given item into destination item, as determined by the provided rules and component name.
Protected Attributes inherited from IODComponent
OFshared_ptr< DcmItem > | m_Item
| Shared pointer to the data handled by this class.
OFshared_ptr< IODRules > | m_Rules
| Rules describing the attributes governed by this class.
IODComponent * | m_Parent
| The parent component (may be NULL) of this class.
OFBool | m_CheckValueOnWrite
| Denotes whether attribute values should be checked on writing, i.e.

## Detailed Description

Class representing the Frame of Reference Module:

Frame of Reference: (UI, 1, 1) Position Reference Indicator: (LO, 2, 1)

## Constructor & Destructor Documentation

## ◆ IODFoRModule()

IODFoRModule::IODFoRModule | ( | OFshared_ptr< DcmItem > | item,
|  | OFshared_ptr< IODRules > | rules )

Constructor.

Parameters

  item | The item to be used for data storage. If NULL, the class creates an empty data container.
  rules | The rule set for this class. If NULL, the class creates one from scratch and adds its values.

## Member Function Documentation

## ◆ ensureFrameOfReferenceUID()

void IODFoRModule::ensureFrameOfReferenceUID | ( | const OFBool | correctInvalid = OFFalse | ) |

Make sure that the module contains a Frame of Reference Instance UID, i.e.

\ a new one is created if empty. An invalid UID is corrected if desired.

Parameters

  correctInvalid | Correct invalid UID if OFTrue, otherwise do nothing

## ◆ getFrameOfReferenceUID()

virtual OFCondition IODFoRModule::getFrameOfReferenceUID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

Get Frame of Reference UID.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getName()

virtual OFString IODFoRModule::getName | ( |  | ) | const
| virtual

Get name of module.

Returns
  Name of the module ("FrameOfReferenceModule")

Implements IODComponent.

## ◆ getPositionReferenceIndicator()

virtual OFCondition IODFoRModule::getPositionReferenceIndicator | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

Get Position Reference Indicator.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setFrameOfReferenceUID()

virtual OFCondition IODFoRModule::setFrameOfReferenceUID | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Frame of Reference UID.

Parameters

  value | Value to be set (single value only). If an empty string is passed, the value "1" is set when displaying or writing the document since the corresponding DICOM attribute is mandatory.
  checkValue | Check 'value' for conformance with VR (UI) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setPositionReferenceIndicator()

virtual OFCondition IODFoRModule::setPositionReferenceIndicator | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Position Reference Indicator.

Parameters

  value | Value to be set (single value only). If an empty string is passed, the value "1" is set when displaying or writing the document since the corresponding DICOM attribute is mandatory.
  checkValue | Check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmiod/include/dcmtk/dcmiod/modfor.h

Generated on Wed Apr 30 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2